/**
 * ************************************
 *
 * @module  next-persist
 * @author  most-js
 * @description a component that persists state to localStorage or cookies.
 *              this component should wrap Next.js components
 *              and be wrapped by Redux's Provider component
 *
 * ************************************
 */
/// <reference types="react" />
interface AllowListObject {
    [key: string]: string[];
}
interface StorageConfigObject {
    method: string;
    allowList: AllowListObject;
}
interface WrapperProps {
    wrapperConfig: StorageConfigObject;
    children: React.ReactNode;
}
declare const NextPersistWrapper: (props: WrapperProps) => React.ReactNode;
export default NextPersistWrapper;
