"use strict";
/**
 * ************************************
 *
 * @module next-persist
 * @author most-js
 * @description module that contains function to write state to localStorage
 *
 * ************************************
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLocalStore = void 0;
function setLocalStore(config, state) {
    var key = Object.keys(config)[0];
    var allowList = Object.values(config)[0];
    // if application is running client-side, localStorage is accessible
    if (typeof window !== 'undefined') {
        // if allowList was not defined in persistConfig, set all propertiesfrom state to localStorage
        if (allowList.length === 0) {
            localStorage.setItem(key, JSON.stringify(state));
        }
        else {
            // only sets properties listed in allowList to localStorage
            var allowedState = allowList.reduce(function (acc, cur) {
                acc[cur] = state[cur];
                return acc;
            }, {});
            localStorage.setItem(key, JSON.stringify(allowedState));
        }
        // if application is not running-client side, localStorage is inaccessible
    }
    else {
        return { err: 'LocalStorage not found.' };
    }
}
exports.setLocalStore = setLocalStore;
